Rocket DevOps Technical Specs

Lifecycle Manager (IBM i Edition)

Development and Deployment Manager Server

  • For Deployment Servier

    •  IBM i V7R2 through 7.4 

  • For Deployment Client 

    • IBM i V7R1 through 7.4 

Supported Integrated Development Environments (IDEs) and Applications

  • Git 

  • IBM Rational Developer for i/Power Systems 

  • CA 2E 

  • Eclipse 

  • LANSA 

  • AS/SET 

  • X-Analysis 

  • Oracle JD Edwards 

  • JIRA 

Lifecycle Manager (Enterprise Edition)

Client Requirements 

  • 64-bit Windows Server 2012, Windows Server 2016, Windows Server 2019, Windows 8 or Windows10 

  • Red Hat Enterprise Linux or CentOS Linux, 64-bit, version 7.6 or higher (7.6-7.8 have been tested), Red Hat 64-bit version 8.1 or 8.2; CentOS 64-bit version 8.1 

  • IBM AIX 7.1.05 or later, Oracle Solaris 10 (SunOS 5.10) or 11 (SunOS 5.11), or HP-UX 11.31 

  • Mac OS X 10.11.6 El Capitan, or higher operating system 

Server Requirements 

  • For IBM i Operating Systems: 

    • IBM i 7.2 through 7.44 

    • Installation of Option 30, QShell Interpreter 

  • For Linux Operating Systems: 

    • Red Hat Enterprise Linux or CentOS Linux, 64-bit, version 7.6 and higher, version 7 release (7.6 - 7.8 have been tested), or version 8.1 or 8.2 version 8 release

    • IBM Db2® UDB Express for Linux version 10.5.0.3 (installed with the package) 

    • IBM Java Software Development Kit Version 1.88 (installed with the package) 

Additional Software 

  • Java 1.8 or later for IBM i servers 

  • Apache Software Foundation Apache Tomcat Version 8.5.54 (installed with the Security Server) 

Supported Integrated Development Environments (IDEs) and Applications 

  • IBM Rational Developer for i/Power Systems 

  • Eclipse 

  • MSSCCI (Visual Studio) 

  • Git 

  • SVN 

  • Jenkins 

  • JIRA 

Deployment Manager

Client Requirements 

  • 64-bit Windows Server 2012, Windows Server 2016, Windows Server 2019, Windows 8, or Windows 10, with Java installed (Java 1.7 or 1.8, Amazon Corretto 8 or 11, OpenJDK 7 and above). If Java is not installed, the Deployment Client installation program installs Java 1.7. On 64-bit computers, if 32-bit Java is installed, but 64-bit Java is not installed, the installation program installs 64-bit Java 1.7. 

  • Red Hat Enterprise Linux or CentOS Linux Version 7.6 or higher (7.6-7.8 have been tested), Red Hat Enterprise Linux 8.1 or 8.2, or CentOS Linux 8.1. Java 1.7, Java 1.8, or OpenJRE version 8 (Java 1.8 or OpenJRE version 8 is recommended), or Amazon Corretto 8 or 11. Red Hat Linux must be configured to receive Red Hat updates in order to install required packages automatically. 

  • IBM AIX 7.1.05 or later, with Java 1.7 or higher installed  

  • Oracle Solaris 10 (SunOS 5.10) or 11 (SunOS 5.11), with Java 1.7 or higher installed and the SUNWscpu package installed. 

  • HP-UX 11.31, with Java 1.7 or higher installed. 

  • Mac OS X 10.11.6 El Capitan or higher operating system. Java Development Kit (JDK) version 1.7 or higher 

  • IBM i version 7.2 through 7.4, with an appropriate IBM Developer Kit for Java licensed program installed for the operating system version. Java 8 is recommended for optimal support for deployment and automatic client update. 

Server Requirements 

  • For IBM i Operating Systems: 

    • IBM i 7.2 through 7.4 

  • For Linux Operating Systems: 

    • Red Hat Enterprise Linux or CentOS Linux, 64-bit, version 7.6 and higher version 7 release (7.6 - 7.8 have been tested), or a version 8.1 or 8.2 version 8 release  

Community Manager

Client Requirements 

Any supported web browser listed below 

  • Microsoft Internet Explorer 9, 10 and 11 

  • Mozilla Firefox 

  • Google Chrome 

Server Platform 

  • Windows Server (64-bit hardware only) versions 2019, 2016, 2012 R2, or 2012, with latest updates 

File System 

  • NTFS-formatted hard drive 

Web Server 

  • Internet Information Services (IIS) v7-8.5  

Database 

  • Microsoft SQL Server 2019, 2017, 2016, 2014, 2012 – licensed edition with latest updates  

Additional software 

  • Apache Tomcat® version 9 (64-bit)  

  • OpenJDK version 11 (64-bit)  

Hardware 

  • 1-20 Users, SQL Server on the same server 

    • 4-8 GB RAM 

    • 1 Xeon or Opteron 2.4 GHz processor or better 

    • 20 GB disk space 

  • 21-50 Users, SQL Server on a different server 

    • 4 GB RAM 

    • 2 Xeon or Opteron 2.4 GHz processor or better 

    • 40 GB disk space 

  • 51-150 users 

    • 8 GB RAM 

    • 4 Xeon or Opteron 2.4 GHz processor or better 

  • 151-249 users 

    • 8 GB RAM 

    • 8 Xeon or Opteron 2.4 GHz processor or better 

  • 250-500 users

    • 16 GB RAM

    • 16 Xeon or Opteron 2.4 GHz processor or better

  • 501+ users 

    • 32 GB RAM

    • 32 Xeon or Opteron 2.4 GHz processor or better

  • SMTP for email notification (e.g., as provided by Microsoft Exchange and Lotus Notes) 

  • POP/IMAP/IMAP-SSL/Microsoft365-OAuth 2.0 for incoming email processing (as provided by Microsoft Exchange and Lotus Domino) 

DevOps Harmonizer

  • Automatically installs on IBM i without user intervention 

  • Access to the QSECOFR profile or DevOps user profile 

  • File size: 30 MB 

Git Plugins

Client Requirements 

  • LMe GUI Client 6.6A, 6.6B, and 6.70.And Ald/CS command line 1.14, 1.15, and 1.16. 

Additional Software 

  • Git 1.8.2 or higher 

  • Windows: 

    • Module Tk::LabEntry 

    • Module Tk:Dialog 

  • Linux/Unix:

    • Bash shell, Perl version 5.x and noted modules

Jenkins Plugins

Client Requirements 

  • Any supported web browser for Jenkins 

  • Rocket DevOps Lifecycle Manager (enterprise Edition) Version 6.77 for IBM i or Linux 

  • Rocket DevOps Lifecycle Manager Client Services (Ald/CS) middleware version 1.1616 

Additional Software 

  • Jenkins 2.176.1 or higher 

  • Java Runtime Environment 1.8 or higher on Jenkins agent 

JIRA Add-On

Client Requirements 

Any supported web browser listed below 

  • Microsoft Internet Explorer V10 or V11 

  • Mozilla Firefox  

  • Google Chrome Server Platform 

Additional Software 

  • JIRA v7.x or higher 

  • JIRA v8.x or higher 

  • Java Runtime Environment 1.8 or higher 

Eclipse Plugins

Client Requirements 

  • Eclipse V4.9 to 19 (64bit) 

  • RDi/RBD V9.1 or higher 

  • Supports Rocket DevOps Lifecycle Manager Client Services (Ald/CS) to version 1.13 or higher 

Platform Requirements 

  • Any windows 32bit or 64bit that supports Eclipse and RDi/RBD 

  • Mac OS (64bit) 10.11.6 or higher for RDi only 

Server Requirements 

  • Supports Rocket DevOps Lifecycle Manager (Enterprise Edition) (LM(e)) to Version 6.6 or higher 

  • Supports Rocket Lifecycle Manager (IBM i Edition) (LM(i)) to Version 8.3A or higher 

Additional Software 

  • Java Runtime Environment 1.8 or higher 

Rocket® DevOps Portal Technical Specs

IBM i OS requirements 

  • V7R2 

  • V7R3 

  • V7R4 

JDK/JRE requirements 

  • Java SE 8 32 bit 

  • Java SE 8 64 bit 

Linux OS requirements 

  • CentOS 7.9 and higher 

  • Red Hat Enterprise 8.1/8.2 

JDK/JRE requirements 

  • Java SE 1.8 64 bit 

Server compatibility  

RDOi 

  • 8.5A +PTF 

  • 8.6 

RDOe 

  • 6.7 + PTF (for RDOe, Reporting, Security Server) 

Community Manager 

  • CM 11.6.12 

Multiple browser compatibility 

  • Chrome 

  • Firefox 

  • Edge (Version 91.0.864.54 (Official build) (64-bit)) 

Database 

  • PostgreSQL 12.2 

Hardware 

IBM i 

  • 16 GB RAM 

  • 20 GB disk space 

Linux 

  • 16 GB RAM 

  • 20 GB disk space 

Rocket DevOps Testing Technical Specifications

Rocket DevOps testing server 

IBM i  

OS Requirements 

  • V7R2 

  • V7R3 

  • V7R4 

JDK/JRE Requirements 

  • Java SE 8 64 bit or higher 

Linux  

OS Requirements 

  • CentOS 7.9 and higher 

  • Red Hat Enterprise 8.1/8.2 

JDK/JRE Requirements 

  • Java SE 1.8 64 bit or higher 

Windows 

OS Requirements 

  • Windows Server 2016 or higher 

JDK/JRE Requirements 

  • Java SE 1.8 64-bit or higher 

Rocket DevOps testing agent 

Linux 

OS Requirements 

  • CentOS 7.9 and higher 

  • Red Hat Enterprise 8.1/8.2 

JDK/JRE Requirements 

  • Java SE 1.8 64 bit or higher 

Windows 

OS Requirements 

  • Windows Server 2016 or higher 

JDK/JRE Requirements 

  • Java SE 1.8 64-bit or higher 

Back to top